DEBCHECKOUT.FR(1)

NOM
debcheckout - Récupérer le contenu du dépôt d'un paquet Debian

SYNOPSIS

debcheckout [options] paquet [rép_destination]
debcheckout [options] URL_dépôt [rép_destination]
debcheckout --help

DESCRIPTION
debcheckout récupère les informations sur le système de gestion de version utilisé pour la maintenance d'un paquet Debian (le paramètre paquet), puis récupère la dernière version (potentiellement non officielle) du paquet depuis le dépôt. Par défaut le dépôt est récupéré dans le répertoire paquet ; cela peut être modifié à l'aide du paramètre rép_destination.

Les informations indiquant où se trouve le dépôt sont recherchées dans les champs Vcs-* du paquet source. Par exemple, le paquet vim fournit les informations en utilisant un champ Vcs-Hg: http://hg.debian.org/hg/pkg-vim/vim visible dans la sortie de apt-cache showsrc vim.

Si plus d'un paquet source contenant des champs Vcs-* est disponible, debcheckout sélectionnera le paquet avec le numéro de version le plus élevé. Sinon, un numéro de version spécifique peut être sélectionné parmi ceux disponibles en utilisant la forme paquet=version pour le nom de paquet.

Si vous connaissez déjà l'URL d'un dépôt, vous pouvez appeler directement debcheckout avec celle-ci, mais vous aurez probablement à utiliser le paramètre -t approprié. C'est-à-dire que des heuristiques sont utilisées pour deviner le type de dépôt à partir de l'URL ; si elles échouent, vous pouvez remplacer le type deviné en utilisant -t.

Les systèmes de contrôle de versions actuellement pris en charge sont : Arch (arch), Bazaar (bzr), CVS (cvs), Darcs (darcs), Git (git), Mercurial (hg) et Subversion (svn).

OPTIONS
OPTIONS GÉNÉRALES

-a, --auth
    Utiliser le mode authentifié ; cela signifie que pour les dépôts connus (principalement ceux hébergés sur https://salsa.debian.org), une ré-écriture de l'URL est tentée avant d'effectuer la récupération, pour s'assurer qu'il est possible d'envoyer les modifications dans le dépôt. Par exemple, pour les dépôts Git hébergés sur Salsa, cela signifie que git@salsa.debian.org:...git sera utilisé à la place de https://salsa.debian.org/...git.

    Il y a des règles internes pour salsa.debian.org, alioth.debian.org et github.com. D'autres hôtes peuvent être configurés avec DEBCHECKOUT_AUTH_URLS.

-d, --details
    N'afficher qu'une liste d'informations sur le dépôt du paquet, sans le récupérer ; le format de sortie est une liste de champs, chaque champ étant une paire nom et valeur du champ séparés par une tabulation. Les champs dépendent du type de dépôt. Cette action peut nécessiter une connexion réseau vers le dépôt distant.

    Consultez également -p. Cette option et l'option -p sont mutuellement exclusives.

-h, --help
    Afficher un message d'aide détaillé et quitter.

-p, --print
    N'afficher qu'un résumé des informations sur le dépôt du paquet, sans le récupérer ; le format de sortie comprend deux champs séparés par une tabulation : le type de dépôt et l'URL du dépôt. Cette action fonctionne hors-ligne, elle n'utilise que des informations "statiques" telles qu'elles sont connues du cache d'APT.

    Consultez également -d. Cette option et l'option -d sont mutuellement exclusives.

-P paquet, --package paquet
    Lors de la récupération d'un dépôt par son URL, utiliser ce nom de paquet au lieu d'essayer de le deviner à partir de l'URL.

-t type, --type type
    Forcer le type de dépôt (défini par défaut par des heuristiques basées sur l'URL ou, si les heuristiques échouent, "git") ; le type de dépôt doit être un des types de dépôt gérés.

-u nom_utilisateur, --user nom_utilisateur
    Indiquer le nom d'utilisateur à utiliser en mode authentifié (voir -a). Cette option implique l'utilisation de -a : vous n'avez pas à préciser les deux.

-f FICHIER, --file=FICHIER
    Indiquer que le fichier mentionné doit être extrait du dépôt et placé dans le répertoire de destination. Elle peut être utilisée plus d'une fois pour extraire plusieurs fichiers.

--source=never|auto|download-only|always
    Certains paquets ne gardent que le répertoire debian en système de contrôle de versions. debcheckout permet de récupérer les morceaux manquants des sources avec apt-get source et de déplacer les fichiers dans le répertoire récupéré.

    never
        N'utiliser que le dépôt.

    auto (défaut)
        Si le dépôt ne contient que le répertoire debian, récupérer le paquet source, le dépaqueter, et mettre aussi le fichier .orig.tar.gz dans le répertoire actuel. Sinon, ne rien faire.

    download-only
        Toujours récupérer le fichier .orig.tar.gz, mais ne jamais le dépaqueter.

    always
        Toujours récupérer le fichier .orig.tar.gz, et si le dépôt ne contient que le répertoire debian, le dépaqueter.

OPTIONS SPECIFIQUES AU SYSTÈME DE CONTRÔLE DE VERSIONS

OPTIONS SPÉCIFIQUES À GIT

--git-track branches
    Indiquer une liste de branches qui seront configurées pour être suivies (comme avec git branch --track, consultez git-branch(1)) une fois que le dépôt Git distant sera cloné. La liste doit être une liste de noms de branches, séparés par des espaces.

    Comme raccourci, la chaîne "*" peut être fournie pour demander le suivi de toutes les branches distantes.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont chargés dans cet ordre par un interpréteur de commandes pour définir les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les paramètres des variables d'environnement sont ignorés à cette fin. Les variables actuellement reconnues sont :

DEBCHECKOUT_AUTH_URLS
    Cette variable doit être une liste d'expressions rationnelles Perl et de textes de remplacements séparées par des espaces, qui doivent être fournies par paires : exp_rat texte exp_rat texte ... Chaque paire indique une substitution qui est appliquée aux URL des dépôts si les autres moyens internes pour construire des URL pour le mode authentifié (voir -a) ont échoué.

    Les références aux sous-chaînes sont autorisées dans les textes de remplacement comme d'habitude avec Perl en utilisant $1, $2, ...

    Cette configuration est utilisée pour configurer la localisation du "mode authentifié" pour les dépôts. Les dépôts Debian de salsa.debian.org sont implicitement définis, comme l'est github.com.

    Voici un bout d'exemple qui conviendra pour les fichiers de configuration :

     DEBCHECKOUT_AUTH_URLS='
      ^\w+://(svn\.example\.com)/(.*)    svn+ssh://$1/srv/svn/$2
      ^\w+://(git\.example\.com)/(.*)    git+ssh://$1/home/git/$2
     '

    Veuillez noter que les blancs ne sont autorisés ni dans les expressions rationnelles ni dans les textes de remplacement. Aussi, comme les fichiers de configuration sont souvent lus par les interpréteurs de commandes avec "source", vous avez intérêt à utiliser des guillemets simples autour de la valeur de cette variable.

DEBCHECKOUT_SOURCE
    Cette variable détermine le scenario pour télécharger ou non le fichier .orig.tar.gz associé à un paquet. Consultez l'option --source pour une description des valeurs.

DEBCHECKOUT_USER
    Cette variable définit l’identifiant pour le mode authentifié. Il peut être modifié avec l’option --user. La définition de cette variable n’implique pas l’utilisation du mode authentifié, il doit toujours être activé avec --auth.

VOIR AUSSI
apt-cache(8), Section 6.2.5 de la référence du développeur Debian (pour plus d'informations sur les champs Vcs-*) : https://www.debian.org/doc/developers-reference/best-pkging-practices.html#bpp-vcs.

AUTEUR
debcheckout et cette page de manuel ont été écrits par Stefano Zacchiroli <zack@debian.org>.

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2021